﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Yokogawa DL1720: (1 year) VER IEEE /5520A+SC600
DATE:                  2017-04-13 14:42:46
AUTHOR:                Fluke
REVISION:              $Revision: 19268 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       149
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Procedure Author:
#        VY, DAC
#
#  Source(s):
#        Yokogawa DL1720/DL1740 Digital Oscilloscope
#        Service Manual, SM 701710-01E, 4th Edition, July 2002
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5520         600MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  IF           NOT(VERSIONCHECK("7.3"))
  1.005  END
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Ambient temperature: 18 °C - 28 °C.
  1.013  DISP         Relative humidity: less than 80 %.
  1.013  DISP         Warmup time: 30 minutes.

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  CALL         Sub Yokogawa DL17x0 Setup Interface IEEE
  1.016  CALL         Sub UUT Connection GPIB

  1.017  MATH         @UUT_Manufacturer = "YOKOGAWA"
  1.018  MATH         @UUT_Model        = "DL1720"
  1.019  MATH         @UUT_AssetNum     = UUT()

  1.020  IF           NOT(EMPTY(@UUT_AssetNum))
  1.021  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.022  ENDIF

  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.024  CALL         Sub Yokogawa DL17x0 Model Number

  1.025  IF           @Abort
  1.026  END
  1.027  ENDIF

  1.028  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.029  IF           @Abort
  1.030  END
  1.031  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.032  RESET        *CLS
  1.033  IEEE2        *RST

  1.034  CALL         Sub Yokogawa Set Bandwidth & Num_Chan
  1.035  CALL         Sub Yokogawa DL17x0 Self Test IEEE

  1.036  DISP         Connect the 5520A SCOPE OUT to the UUT CH 1.
  1.037  MATH         M[1] = 1
  1.038  CALL         Sub Yokogawa DL17x0 (1 yr) Timebase Acc IEEE /5520+S6
  1.039  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5520+S6
  1.040  JMPL         TRIG_LEVEL_ACC_CH1

  1.041  LABEL        BANDWIDTH_CH2
  1.042  DISP         Connect the 5520A SCOPE OUT to the UUT CH 2.
  1.043  MATH         M[1] = 2
  1.044  CALL         Sub Yokogawa DL17x0 (1 yr) Bandwidth IEEE /5520+S6
  1.045  JMPL         TRIG_LEVEL_ACC_CH2

  1.046  LABEL        TRIG_LEVEL_ACC_CH1
  1.047  MATH         M[1] = 1
  1.048  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /5520+S6
  1.049  JMPL         TRIG_SENS_CH1

  1.050  LABEL        TRIG_LEVEL_ACC_CH2
  1.051  MATH         M[1] = 2
  1.052  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Lev Acc IEEE /5520+S6
  1.053  JMPL         TRIG_SENS_CH2

  1.054  LABEL        TRIG_SENS_CH1
  1.055  MATH         M[1] = 1
  1.056  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /5520+S6
  1.057  JMPL         OFFSET_ACC_CH1

  1.058  LABEL        TRIG_SENS_CH2
  1.059  MATH         M[1] = 2
  1.060  CALL         Sub Yokogawa DL17x0 (1 yr) Trig Sens IEEE /5520+S6
  1.061  JMPL         OFFSET_ACC_CH2

  1.062  LABEL        OFFSET_ACC_CH1
  1.063  MATH         M[1] = 1
  1.064  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5520+S6
  1.065  JMPL         DCV_CH1

  1.066  LABEL        OFFSET_ACC_CH2
  1.067  MATH         M[1] = 2
  1.068  CALL         Sub Yokogawa DL17x0 (1 yr) Offset Acc IEEE /5520+S6
  1.069  JMPL         DCV_CH2

  1.070  LABEL        DCV_CH1
  1.071  MATH         M[1] = 1
  1.072  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5520+S6
  1.073  JMPL         BANDWIDTH_CH2

  1.074  LABEL        DCV_CH2
  1.075  MATH         M[1] = 2
  1.076  CALL         Sub Yokogawa DL17x0 (1 yr) DCV Acc IEEE /5520+S6

  1.077  END
